Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.context
Class LLQueue<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.AbstractSequentialList<E>
                  ix.util.context.LLQueue<E>

All Implemented Interfaces:
  java.lang.Iterable<E>, java.util.Collection<E>, java.util.List<E>

Direct Known Subclasses:
  ContextList

    public class LLQueue<E>

extends java.util.AbstractSequentialList<E>

A context-dependent list or queue, often used for building lists.

Nested Class Summary
`protected static class` | `LLQueue.LLQueueListIterator` ListIterator that doesn't allow any modification.

Field Summary
`(package private) ContextValue<LList[]>` | `__state`
`(package private) static int` | `IN`
`(package private) static int` | `OUT`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`LLQueue()`
`LLQueue(java.util.Collection<? extends E> initialContents)`
`LLQueue(ContextHolder holder)`
`LLQueue(ContextHolder holder, java.util.Collection<? extends E> initialContents)`

Method Summary
`boolean` | `add(E o)`
`void` | `clear()` Removes all elements in the current context.
`void` | `clearCompletely()` Remove all elements in all contexts.
`LList` | `contents()`
`E` | `get(int index)`
`boolean` | `isEmpty()`
`java.util.Iterator` | `iterator()`
`int` | `lastIndexOf(java.lang.Object o)`
`java.util.ListIterator` | `listIterator(int index)`
`E` | `pop()` Remove and return the first element of the list.
`void` | `push(E o)` Add an object to the front of the list.
`boolean` | `remove(java.lang.Object o)`
`boolean` | `removeAll(java.util.Collection<?> c)`
`void` | `setContents(java.util.List l)`
`protected LList` | `setLLContents(LList contents)`
`int` | `size()`

Methods inherited from class java.util.AbstractSequentialList
`add, addAll, remove, set`

Methods inherited from class java.util.AbstractList
`equals, hashCode, indexOf, listIterator, removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`addAll, contains, containsAll, retainAll, toArray, toArray`

Field Detail

### IN

    static final int IN

See Also:
  Constant Field Values

### OUT

    static final int OUT

See Also:
  Constant Field Values

### __state

    ContextValue<LList[]> __state

Constructor Detail

### LLQueue

    public LLQueue()

### LLQueue

    public LLQueue(java.util.Collection<? extends E> initialContents)

### LLQueue

    public LLQueue(ContextHolder holder)

### LLQueue

    public LLQueue(ContextHolder holder,
                   java.util.Collection<? extends E> initialContents)

Method Detail

### contents

    public LList contents()

### setContents

    public void setContents(java.util.List l)

### setLLContents

    protected LList setLLContents(LList contents)

### push

    public void push(E o)

  Add an object to the front of the list.

### pop

    public E pop()

  Remove and return the first element of the list.

### clearCompletely

    public void clearCompletely()

  Remove all elements in all contexts.

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Collection<E>`
  Specified by:
    `size` in interface `java.util.List<E>`
  Specified by:
    `size` in class `java.util.AbstractCollection<E>`

### listIterator

    public java.util.ListIterator listIterator(int index)

  Specified by:
    `listIterator` in interface `java.util.List<E>`
  Specified by:
    `listIterator` in class `java.util.AbstractSequentialList<E>`

### add

    public boolean add(E o)

  Specified by:
    `add` in interface `java.util.Collection<E>`
  Specified by:
    `add` in interface `java.util.List<E>`
  Overrides:
    `add` in class `java.util.AbstractList<E>`

### clear

    public void clear()

  Removes all elements in the current context. To remove all elements in all contexts, call `clearCompletely()`.

  Specified by:
    `clear` in interface `java.util.Collection<E>`
  Specified by:
    `clear` in interface `java.util.List<E>`
  Overrides:
    `clear` in class `java.util.AbstractList<E>`

### remove

    public boolean remove(java.lang.Object o)

  Specified by:
    `remove` in interface `java.util.Collection<E>`
  Specified by:
    `remove` in interface `java.util.List<E>`
  Overrides:
    `remove` in class `java.util.AbstractCollection<E>`

### removeAll

    public boolean removeAll(java.util.Collection<?> c)

  Specified by:
    `removeAll` in interface `java.util.Collection<E>`
  Specified by:
    `removeAll` in interface `java.util.List<E>`
  Overrides:
    `removeAll` in class `java.util.AbstractCollection<E>`

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<E>`
  Specified by:
    `iterator` in interface `java.util.Collection<E>`
  Specified by:
    `iterator` in interface `java.util.List<E>`
  Overrides:
    `iterator` in class `java.util.AbstractSequentialList<E>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Collection<E>`
  Specified by:
    `isEmpty` in interface `java.util.List<E>`
  Overrides:
    `isEmpty` in class `java.util.AbstractCollection<E>`

### get

    public E get(int index)

  Specified by:
    `get` in interface `java.util.List<E>`
  Overrides:
    `get` in class `java.util.AbstractSequentialList<E>`

### lastIndexOf

    public int lastIndexOf(java.lang.Object o)

  Specified by:
    `lastIndexOf` in interface `java.util.List<E>`
  Overrides:
    `lastIndexOf` in class `java.util.AbstractList<E>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD